package org.freedesktop.NetworkManager;
import java.util.Map;
import org.freedesktop.DBus.GLib.Async;
import org.freedesktop.DBus.GLib.CSymbol;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.UInt32;
import org.freedesktop.dbus.Variant;
public interface PPP extends DBusInterface
{

  @CSymbol("impl_ppp_manager_need_secrets")
  @Async()
  public Pair<String, String> NeedSecrets();
  @CSymbol("impl_ppp_manager_set_ip4_config")
  public void SetIp4Config(Map<String,Variant> config);
  @CSymbol("impl_ppp_manager_set_state")
  public void SetState(UInt32 state);

}
