package org.freedesktop;
import java.util.List;
import java.util.Map;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.DBusSignal;
import org.freedesktop.dbus.Variant;
import org.freedesktop.dbus.exceptions.DBusException;
public interface NetworkManagerSettings extends DBusInterface
{
   public static class NewConnection extends DBusSignal
   {
      public final DBusInterface connection;
      public NewConnection(String path, DBusInterface connection) throws DBusException
      {
         super(path, connection);
         this.connection = connection;
      }
   }

  public List<DBusInterface> ListConnections();

  public void AddConnection(Map<String,Map<String,Variant>> connection);

}
