package org.freedesktop.NetworkManager.Device;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.DBusSignal;
import org.freedesktop.dbus.UInt32;
import org.freedesktop.dbus.exceptions.DBusException;
public interface Serial extends DBusInterface
{
   public static class PppStats extends DBusSignal
   {
      public final UInt32 in_bytes;
      public final UInt32 out_bytes;
      public PppStats(String path, UInt32 in_bytes, UInt32 out_bytes) throws DBusException
      {
         super(path, in_bytes, out_bytes);
         this.in_bytes = in_bytes;
         this.out_bytes = out_bytes;
      }
   }


}
