package org.freedesktop.NetworkManager.VPN;
import java.util.Map;
import org.freedesktop.dbus.DBusInterface;
import org.freedesktop.dbus.DBusSignal;
import org.freedesktop.dbus.UInt32;
import org.freedesktop.dbus.Variant;
import org.freedesktop.dbus.exceptions.DBusException;
public interface Connection extends DBusInterface
{
   public static class PropertiesChanged extends DBusSignal
   {
      public final Map<String,Variant> properties;
      public PropertiesChanged(String path, Map<String,Variant> properties) throws DBusException
      {
         super(path, properties);
         this.properties = properties;
      }
   }
   public static class VpnStateChanged extends DBusSignal
   {
      public final UInt32 state;
      public final UInt32 reason;
      public VpnStateChanged(String path, UInt32 state, UInt32 reason) throws DBusException
      {
         super(path, state, reason);
         this.state = state;
         this.reason = reason;
      }
   }


}
